Bug 619328 (perl-MooseX-Declare) - Review Request: perl-MooseX-Declare - Declarative syntax for Moose
Summary: Review Request: perl-MooseX-Declare - Declarative syntax for Moose
Status: CLOSED NEXTRELEASE
Alias: perl-MooseX-Declare
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/MooseX-De...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-29 09:47 UTC by Iain Arnell
Modified: 2013-05-10 13:04 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-03 03:41:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-07-29 09:47:38 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Declare.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-MooseX-Declare-0.33-1.fc14.src.rpm

Description:
This module provides syntactic sugar for Moose, the postmodern object
system for Perl 5. When used, it sets up the class and role keywords.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2356628

*rt-0.10_01

Comment 1 Parag AN(पराग) 2010-07-29 10:24:58 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=2356639
+ rpmlint output for SRPM and for RPM.
perl-MooseX-Declare.src: W: no-cleaning-of-buildroot %clean
perl-MooseX-Declare.src: W: no-buildroot-tag
perl-MooseX-Declare.src: W: no-%clean-section
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ source files match upstream url (sha1sum)
6756ba3616eff26479d19e39fcc7e8a70446067e  MooseX-Declare-0.33.tar.gz
6756ba3616eff26479d19e39fcc7e8a70446067e  MooseX-Declare-0.33.tar.gz.srpm

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=24, Tests=180, 18 wallclock secs ( 0.07 usr  0.02 sys + 16.64 cusr  0.58 csys = 17.31 CPU)
+ Package perl-MooseX-Declare-0.33-1.fc14.noarch =>
Provides: perl(MooseX::Declare) = 0.33 perl(MooseX::Declare::Context) perl(MooseX::Declare::Context::Namespaced) perl(MooseX::Declare::Context::Parameterized) perl(MooseX::Declare::Context::WithOptions) perl(MooseX::Declare::StackItem) perl(MooseX::Declare::Syntax::EmptyBlockIfMissing) perl(MooseX::Declare::Syntax::Extending) perl(MooseX::Declare::Syntax::InnerSyntaxHandling) perl(MooseX::Declare::Syntax::Keyword::Class) perl(MooseX::Declare::Syntax::Keyword::Clean) perl(MooseX::Declare::Syntax::KeywordHandling) perl(MooseX::Declare::Syntax::Keyword::Method) perl(MooseX::Declare::Syntax::Keyword::MethodModifier) perl(MooseX::Declare::Syntax::Keyword::Namespace) perl(MooseX::Declare::Syntax::Keyword::Role) perl(MooseX::Declare::Syntax::Keyword::With) perl(MooseX::Declare::Syntax::MethodDeclaration) perl(MooseX::Declare::Syntax::MethodDeclaration::Parameterized) perl(MooseX::Declare::Syntax::MooseSetup) perl(MooseX::Declare::Syntax::NamespaceHandling) perl(MooseX::Declare::Syntax::OptionHandling) perl(MooseX::Declare::Syntax::RoleApplication) perl(MooseX::Declare::Util)

Requires: perl(aliased) perl(Carp) perl(constant) perl(Devel::Declare) perl(List::MoreUtils) perl(Moose) perl(Moose::Meta::Class) perl(Moose::Role) perl(Moose::Util) perl(Moose::Util::TypeConstraints) perl(MooseX::Declare::Util) perl(MooseX::Method::Signatures) perl(MooseX::Method::Signatures::Meta::Method) perl(MooseX::Method::Signatures::Types) perl(MooseX::Role::Parameterized) perl(MooseX::Types::Moose) perl(namespace::autoclean) perl(namespace::clean) perl(overload) perl(strict) perl(Sub::Exporter) perl(Sub::Install) perl(warnings) rpmlib(VersionedDependencies) <= 3.0.3-1

+ Not a GUI application

Suggestions:
1) looks your script replaced %check with %clean. Please add %check and remove %clean section.
I have done local changes and based on its koji scratch build approving this.
2) I see almost all .pm files have 
=head1 AUTHOR, COPYRIGHT & LICENSE
but those files I can't find. Good to report upstream I guess.


APPROVED.

Comment 2 Iain Arnell 2010-07-29 10:42:00 UTC
1) yeah, I'm an idiot! I prepared it a while back before tweaking cpanspec and then manually deleted the wrong three lines. Thanks for spotting it.

2) Seems okay to me. All of those other files are simply referring to MooseX/Declare.pm for the actual author/license details:

=head1 AUTHOR, COPYRIGHT & LICENSE

See L<MooseX::Declare>

And MooseX/Declare.pm really does have all the details.

I wonder if we're going to get a fedora-git flag soon....

Comment 3 Iain Arnell 2010-07-29 10:43:23 UTC
New Package CVS Request
=======================
Package Name: perl-MooseX-Declare
Short Description: Declarative syntax for Moose
Owners: iarnell
Branches: F-12 F-13 F-14
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-07-30 20:39:55 UTC
GIT done (by process-cvs-requests.py).

Comment 5 Fedora Update System 2010-07-31 06:31:51 UTC
perl-MooseX-Declare-0.33-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/perl-MooseX-Declare-0.33-2.fc14

Comment 6 Iain Arnell 2010-07-31 06:34:59 UTC
Committed (with %check instead of %clean) and built for rawhide and f14; waiting on deps to go stable for other branches.

Comment 7 Iain Arnell 2010-08-03 03:41:19 UTC
But other deps require Moose >= 1.08, so this one's for f14+ only.

Comment 8 Fedora Update System 2010-08-19 01:08:19 UTC
perl-MooseX-Declare-0.33-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Andrea Veri 2013-05-10 13:01:50 UTC
Package Change Request
======================
Package Name: perl-MooseX-Declare
New Branches: el6
Owners: averi psabata
InitialCC: perl-sig

Comment 10 Gwyn Ciesla 2013-05-10 13:04:20 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.